Summary:	Analyses TCP dump files
Name:		tcptrace
Version:	6.6.7
Release:	%mkrel 13
License:	GPLv2
Group:		Networking/File transfer
# These URLs are no longer valid
URL:		http://www.tcptrace.org/
Source0:	http://www.tcptrace.org/download/%{name}-%{version}.tar.gz
Patch0:		tcptrace-6.6.7-pcap-ftbfs.patch
BuildRequires:	libpcap-devel

%description
tcptrace is a tool for analysis of TCP dump files. It can take as input the
files produced by several popular packet-capture programs, including tcpdump,
snoop, etherpeek, HP Net Metrix, and WinDump. tcptrace can produce several
different types of output containing information on each connection seen,
such as elapsed time, bytes and segments sent and received, retransmissions,
round trip times, window advertisements, throughput, and more. It can also
produce a number of graphs for further analysis.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS+=" -std=gnu17"
%configure
perl -pi -e 's/-o bin -g bin//' Makefile
%make_build

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man1
%make_install BINDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}

%files
%doc README* CHANGES
%{_sbindir}/tcptrace
%{_mandir}/man1/*


%changelog
* Mon Jul 14 2025 aurr <aurr> 6.6.7-13.mga10
+ Revision: 2255610
- FTBFS: use -std=gnu17
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 6.6.7-11.mga9
+ Revision: 1831101
- Mageia 9 Mass Rebuild

* Thu Aug 06 2020 joequant <joequant> 6.6.7-10.mga8
+ Revision: 1611427
- revert arm64

* Fri Feb 14 2020 umeabot <umeabot> 6.6.7-9.mga8
+ Revision: 1517402
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 6.6.7-8.mga7
+ Revision: 1301344
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 6.6.7-7.mga7
+ Revision: 1242796
- fix build on aarch64
- split description into multiple lines

* Thu Aug 18 2016 luigiwalser <luigiwalser> 6.6.7-6.mga6
+ Revision: 1046899
- add patch from debian to fix build with libpcap

* Mon Feb 01 2016 umeabot <umeabot> 6.6.7-5.mga6
+ Revision: 930220
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.6.7-4.mga5
+ Revision: 743679
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 6.6.7-3.mga5
+ Revision: 730521
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 6.6.7-2.mga5
+ Revision: 689755
- Mageia 5 Mass Rebuild

* Sat Mar 22 2014 bcornec <bcornec> 6.6.7-1.mga5
+ Revision: 606513
- First upload of tcptrace
- Created package structure for tcptrace.

